[jboss-cvs] JBossAS SVN: r87988 - projects/ejb3/trunk/hudson/svn.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Wed Apr 29 06:48:45 EDT 2009


Author: wolfc
Date: 2009-04-29 06:48:40 -0400 (Wed, 29 Apr 2009)
New Revision: 87988

Added:
   projects/ejb3/trunk/hudson/svn/svnsync_and_fix.sh
Modified:
   projects/ejb3/trunk/hudson/svn/Makefile
Log:
Using a sync and fix instead of post-commit hook


Modified: projects/ejb3/trunk/hudson/svn/Makefile
===================================================================
--- projects/ejb3/trunk/hudson/svn/Makefile	2009-04-29 10:29:31 UTC (rev 87987)
+++ projects/ejb3/trunk/hudson/svn/Makefile	2009-04-29 10:48:40 UTC (rev 87988)
@@ -1,4 +1,11 @@
-install:
+#install: /var/svn/anonsvn.jboss.org-jbossas/hooks/post-commit
+install: /home/svnsync/bin/fix_rev.sh /home/svnsync/bin/svnsync_and_fix.sh
+
+/home/svnsync/bin/%: %
+	mkdir -p /home/svnsync/bin
+	cp -a $< $@
+
+/var/svn/anonsvn.jboss.org-jbossas/hooks/post-commit: fix_rev.sh
 	sudo install --no-target-directory --preserve-timestamps --group=svnsync --owner=svnsync fix_rev.sh /var/svn/anonsvn.jboss.org-jbossas/hooks/post-commit
 
 svnserve:

Added: projects/ejb3/trunk/hudson/svn/svnsync_and_fix.sh
===================================================================
--- projects/ejb3/trunk/hudson/svn/svnsync_and_fix.sh	                        (rev 0)
+++ projects/ejb3/trunk/hudson/svn/svnsync_and_fix.sh	2009-04-29 10:48:40 UTC (rev 87988)
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -ex
+
+if [ $# -lt 1 ]; then
+   echo 1>&2 "Usage: $0 <path>"
+   exit 1
+fi
+
+REPO_PATH=$1
+URL=file://$REPO_PATH
+
+PREV_REV=`svn info $URL | grep "^Revision:" | cut -c11-`
+PREV_REV=`expr $PREV_REV + 1`
+/usr/bin/svnsync synchronize $URL
+CURRENT_REV=`svn info $URL | grep "^Revision:" | cut -c11-`
+
+for rev in $(seq $PREV_REV $CURRENT_REV); do
+   ./fix_rev.sh $REPO_PATH $rev
+done


Property changes on: projects/ejb3/trunk/hudson/svn/svnsync_and_fix.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native




More information about the jboss-cvs-commits mailing list